curl --request POST \
--url 'https://{globale_api_domain}/Order/UpdateOrderStatus?orderStatus={"OrderId":"GE1235436GB","OrderStatus":{"OrderStatusCode":"cancelled","Name":"cancelled"},"OrderStatusReason":{"OrderStatusReasonCode":"1010","Name":"CustomerCancel"}}'import requests
url = "https://{globale_api_domain}/Order/UpdateOrderStatus"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Order/UpdateOrderStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Order/UpdateOrderStatus",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Order/UpdateOrderStatus"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Order/UpdateOrderStatus")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Order/UpdateOrderStatus")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Success": true
}Update Order Status
The UpdateOrderStatus API lets you cancel an order with a reason (and notify the customer accordingly) or move an order to a processing status (used by Global‑e or specific cases not covered in this guide). This guide focuses on cancelling orders prior to dispatch.
curl --request POST \
--url 'https://{globale_api_domain}/Order/UpdateOrderStatus?orderStatus={"OrderId":"GE1235436GB","OrderStatus":{"OrderStatusCode":"cancelled","Name":"cancelled"},"OrderStatusReason":{"OrderStatusReasonCode":"1010","Name":"CustomerCancel"}}'import requests
url = "https://{globale_api_domain}/Order/UpdateOrderStatus"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://{globale_api_domain}/Order/UpdateOrderStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{globale_api_domain}/Order/UpdateOrderStatus",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{globale_api_domain}/Order/UpdateOrderStatus"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{globale_api_domain}/Order/UpdateOrderStatus")
.asString();require 'uri'
require 'net/http'
url = URI("https://{globale_api_domain}/Order/UpdateOrderStatus")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"Success": true
}Query Parameters
The request payload, as a URL-encoded, JSON-serialized OrderStatusDetails object — passed in the query string, not as a request body. Only OrderId is required. See the integration guide for the object's fields.
"{\"OrderId\":\"GE1235436GB\",\"OrderStatus\":{\"OrderStatusCode\":\"cancelled\",\"Name\":\"cancelled\"},\"OrderStatusReason\":{\"OrderStatusReasonCode\":\"1010\",\"Name\":\"CustomerCancel\"}}"
Response
Success or failure. Check the Success field to distinguish. On failure, Message and Description carry the error text.
Indicates if the API call was successful or not, and why.

